
D4Science Infrastructure - Task #10071

test a varnish cache before the PAIM geoservers

Oct 26, 2017 12:14 PM - Andrea Dell'Amico

Status: Closed Start date: Oct 26, 2017

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

Try on geoserver1-paim first. If it does advantages, install it on geoserver2-paim too.

Related issues:

Related to D4Science Infrastructure - VM Creation #10069: VM for geowebcache ... Closed Oct 26, 2017

Related to D4Science Infrastructure - Task #10147: Support varnish as a cache... Closed Oct 31, 2017

History

#1 - Oct 26, 2017 12:15 PM - Andrea Dell'Amico

- Related to VM Creation #10069: VM for geowebcache testing under PAIM added

#2 - Oct 26, 2017 12:15 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Oct 26, 2017 04:02 PM - Andrea Dell'Amico

We are going to give a shot to https://mapproxy.org instead

#4 - Oct 26, 2017 11:42 PM - Andrea Dell'Amico

- % Done changed from 0 to 30

mapproxy has a questionable documentation. There's a tool to autoconfigure services and layers, but when run against the paim geoserver it creates

a configuration that does not validate:

KeyError: 'W_mpa'

 I removed all the W_mpa: prefixes the it didn't like and I was then able to start the service. But it's not transparent.

It seems very powerful but it also needs a very carefully  planned configuration. It could be very useful in the long term, but not something to set up

hastly. I'll go back to varnish to see if it can help somewhat (the mapproxy documentation lists varnish as one of the recommended frontends, btw).

#5 - Oct 27, 2017 06:49 PM - Andrea Dell'Amico

- % Done changed from 30 to 80

Both geoserver1-protectedareaimpactmaps.d4science.org and geoserver2-protectedareaimpactmaps.d4science.org are under a varnish instance

right now.

One varnish instance for each geoserver, running locally. The flow is now:

haproxy -> nginx -> varnish -> geoserver

nginx was manually reconfigured, some work will be needed to integrate varnish completely.

#6 - Oct 31, 2017 03:43 PM - Andrea Dell'Amico

- Related to Task #10147: Support varnish as a cache layer in the smartgears nginx added

#7 - Oct 31, 2017 03:43 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
